
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>vmstat：一个标准的报告虚拟内存统计工具 / iVAN</title>

    <meta name="description" content="vmstat：一个标准的报告虚拟内存统计工具 什么是 RAM? 在智能手机世界,我们每一个人都知道 RAM.因此,我不想深入介绍,这样我就简要概括下.RAM 代表&quot;随机访问内存Random Access Memory&quot;,是一种计算机数据存储,它会存储经常使用的程序来提升系统性能. 什么是虚拟内存? 虚拟内存是一种内存管理方式,计算机通过临时将最近未使用的程序数据从 RAM 转移到硬盘,以平衡或管理内存的短缺. 什么是 vmstat? vmstat 是一个标准的工具,它会报告 Linux 系统的虚拟内存统计.vmstat  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">vmstat：一个标准的报告虚拟内存统计工具</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>什么是 RAM？</h3>
<p>在智能手机世界，我们每一个人都知道 RAM。因此，我不想深入介绍，这样我就简要概括下。RAM 代表“随机访问内存Random Access Memory”，是一种计算机数据存储，它会存储经常使用的程序来提升系统性能。</p>
<h3>什么是虚拟内存？</h3>
<p>虚拟内存是一种内存管理方式，计算机通过临时将最近未使用的程序数据从 RAM 转移到硬盘，以平衡或管理内存的短缺。</p>
<h3>什么是 vmstat？</h3>
<p>vmstat 是一个标准的工具，它会报告 Linux 系统的虚拟内存统计。vmstat 会报告有关进程、内存、分页、块 IO、陷阱（中断）和 cpu 活动的信息。它可以帮助 Linux 管理员在解决问题时识别系统瓶颈。</p>
<h3>在 Linux 中安装 Sysstat</h3>
<p>Linux 中没有独立的 <code>vmstat</code> 包。它与 <code>sysstat</code> 绑定在一起，并在大多数发行版的默认仓库上都有。如果还没有安装，只要基于你的发行版输入下面的命令。</p>
<pre>
</pre>
<ol>
<li><code>[在 CentOS/RHEL 中安装 vmstat]</code></li>
<li><code>$ sudo yum install sysstat</code></li>
<li><code></code></li>
<li><code>[在 Fedora 中安装 vmstat]</code></li>
<li><code>$ sudo dnf install sysstat</code></li>
<li><code></code></li>
<li><code>[在 Debian/Ubuntu 中安装 vmstat]</code></li>
<li><code>$ sudo apt-get install sysstat</code></li>
<li><code></code></li>
<li><code>[在 Arch Linux 中安装 vmstat]</code></li>
<li><code>$ sudo pacman -S sysstat</code></li>
<li><code></code></li>
<li><code>[在 Mageia 中安装 vmstat]</code></li>
<li><code>$ sudo urpmi sysstat</code></li>
<li><code></code></li>
<li><code>[在 openSUSE 中安装 vmstat]</code></li>
<li><code>$ sudo zypper install sysstat</code></li>
</ol>
<h3>不带参数运行 vmstat</h3>
<p>假设你已经成功安装 vmstat，在终端中不带参数运行 <code>vmstat</code>，它会向你展示 vmstat 的默认结果。</p>
<pre>
</pre>
<ol>
<li><code># vmstat</code></li>
<li><code>procs -----------memory---------- ---swap-- -----io---- -system-- ----cpu----</code></li>
<li><code> r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa</code></li>
<li><code> 2  0  79496 1614120 139240 787928   0    0    23    10    0    0 11  1 88  0</code></li>
</ol>
<p>当你看到上面的输出，你可能已经大致了解了它是什么以及它的目的。不要担心，我们将深入解释每个参数，以便你可以了解 vmstat 的用途和目的。</p>
<p><code>procs</code>：procs 中有 <code>r</code> 和 <code>b</code> 列，它报告进程统计信息。在上面的输出中，在运行队列（<code>r</code>）中有两个进程在等待 CPU 并有零个休眠进程（<code>b</code>）。通常，它不应该超过处理器（或核心）的数量，如果你发现异常，最好使用 <a href="http://www.2daygeek.com/top-command-examples-to-monitor-server-" rel="external nofollow noreferrer">top 命令</a>进一步地排除故障。</p>
<ul>
<li><code>r</code>：等待运行的进程数。</li>
<li><code>b</code>：休眠状态下的进程数。</li>
</ul>
<p><code>memory</code>： memory 下有报告内存统计的 <code>swpd</code>、<code>free</code>、<code>buff</code> 和 <code>cache</code> 列。你可以用 <code>free -m</code>命令看到同样的信息。在上面的内存统计中，统计数据以千字节表示，这有点难以理解，最好添加 <code>M</code> 参数来看到以兆字节为单位的统计数据。</p>
<ul>
<li><code>swpd</code>：使用的虚拟内存量。</li>
<li><code>free</code>：空闲内存量。</li>
<li><code>buff</code>：用作缓冲区的内存量。</li>
<li><code>cache</code>：用作高速缓存的内存量。</li>
<li><code>inact</code>：非活动内存的数量。</li>
<li><code>active</code>：活动内存量。</li>
</ul>
<p><code>swap</code>：swap 有 <code>si</code> 和 <code>so</code> 列，用于报告交换内存统计信息。你可以用 <code>free -m</code> 命令看到相同的信息。</p>
<ul>
<li><code>si</code>：从磁盘交换的内存量（换入，从 swap 移到实际内存的内存）。</li>
<li><code>so</code>：交换到磁盘的内存量（换出，从实际内存移动到 swap 的内存）。</li>
</ul>
<p><code>I/O</code>：I/O 有 <code>bi</code> 和 <code>bo</code> 列，它以“块读取”和“块写入”的单位来报告每秒磁盘读取和写入的块的统计信息。如果你发现有巨大的 I/O 读写，最好使用 <a href="http://www.2daygeek.com/monitor-disk-io-activity-using-iotop-" rel="external nofollow noreferrer">iotop</a> 和 <a href="http://www.2daygeek.com/monitor-disk-io-activity-using-iotop-" rel="external nofollow noreferrer">iostat</a> 命令来查看。</p>
<ul>
<li><code>bi</code>：从块设备接收的块数。</li>
<li><code>bo</code>：发送到块设备的块数。</li>
</ul>
<p><code>system</code>：system 有 <code>in</code> 和 <code>cs</code> 列，它报告每秒的系统操作。</p>
<ul>
<li><code>in</code>：每秒的系统中断数，包括时钟中断。</li>
<li><code>cs</code>：系统为了处理所以任务而上下文切换的数量。</li>
</ul>
<p><code>CPU</code>：CPU 有 <code>us</code>、<code>sy</code>、<code>id</code> 和 <code>wa</code> 列，报告（所用的） CPU 资源占总 CPU 时间的百分比。如果你发现异常，最好使用 <code>top</code> 和 <code>free</code> 命令。</p>
<ul>
<li><code>us</code>：处理器在非内核程序消耗的时间。</li>
<li><code>sy</code>：处理器在内核相关任务上消耗的时间。</li>
<li><code>id</code>：处理器的空闲时间。</li>
<li><code>wa</code>：处理器在等待IO操作完成以继续处理任务上的时间。</li>
</ul>
<h3>以 MB 方式输出</h3>
<p>默认情况下，vmstat 以千字节为单位显示内存统计，这是非常难以理解的，最好添加 <code>-S m</code> 参数以获取以兆字节为单位的统计。</p>
<pre>
</pre>
<ol>
<li><code># vmstat -S m</code></li>
<li><code>procs -----------memory---------- ---swap-- -----io---- -system-- ----cpu----</code></li>
<li><code> r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa</code></li>
<li><code> 1  0    103    371    406   2116    0    0    40    15    0    0 11  1 87  0</code></li>
</ol>
<h3>以延迟方式运行 vmstat 获取更好的统计信息</h3>
<p>默认情况下，vmstat 的单次统计信息不足以进一步进行故障排除，因此，添加更新延迟（延迟是更新之间的延迟，以秒为单位）以定期捕获活动。如果你想以 2 秒延迟运行 vmstat ，只需使用下面的命令（如果你想要更长的延迟，你可以根据你的愿望改变）。</p>
<p>以下命令将每 2 秒运行一次，直到退出。</p>
<pre>
</pre>
<ol>
<li><code># vmstat 2</code></li>
<li><code>procs -----------memory---------- ---swap-- -----io---- -system-- ----cpu----</code></li>
<li><code> r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa</code></li>
<li><code> 1  0 105500 325776 416016 2166912   0    0    40    15    0    0 11  1 87  0</code></li>
<li><code> 0  0 105500 325644 416016 2166920   0    0     0    13 1083 1174 11  1 87  0</code></li>
<li><code> 0  0 105500 308648 416024 2166928   0    0     1    16 1559 1453 16  2 82  0</code></li>
<li><code> 0  0 105500 285948 416032 2166932   0    0     0    12  934 1003  9  1 90  0</code></li>
<li><code> 0  0 105500 326620 416040 2166940   0    0     1    27  922 1068  9  1 90  0</code></li>
<li><code> 0  0 105500 366704 416048 2166944   0    0     0    17  835  955  9  1 90  0</code></li>
<li><code> 0  0 105500 366456 416056 2166948   0    0     1    22  859  918  9  1 90  0</code></li>
<li><code> 0  0 105500 366456 416056 2166948   0    0     0    15 1539 1504 17  2 81  0</code></li>
<li><code> 0  0 105500 365224 416060 2166996   0    0     1    19  984 1097 11  1 88  0</code></li>
</ol>
<h3>带延迟和计数运行 vmstat</h3>
<p>或者，你可以带延迟和特定计数运行 vmstat，一旦达到给定的计数，然后自动退出。</p>
<p>以下命令将每 2 秒运行一次，10 次后自动退出。</p>
<pre>
</pre>
<ol>
<li><code># vmstat 2 10</code></li>
<li><code>procs -----------memory---------- ---swap-- -----io---- -system-- ----cpu----</code></li>
<li><code> r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa</code></li>
<li><code> 1  0  79496 1581916 157380 810412   0    0    23    10    0    1 11  1 88  0</code></li>
<li><code> 2  0  79496 1559464 157380 810416   0    0     1     1 1821 1749 21  2 77  0</code></li>
<li><code> 0  0  79496 1583768 157384 810416   0    0     1    46  681  799  9  1 90  0</code></li>
<li><code> 2  0  79496 1556364 157384 810428   0    0     1     1 1392 1545 15  2 83  0</code></li>
<li><code> 0  0  79496 1583272 157384 810428   0    0     1     0 1307 1448 14  2 84  0</code></li>
<li><code> 2  0  79496 1582032 157384 810428   0    0     1    41  424  605  4  1 96  0</code></li>
<li><code> 1  0  79496 1575848 157384 810428   0    0     1     0 1912 2407 26  2 71  0</code></li>
<li><code> 0  0  79496 1582884 157384 810436   0    0     1    69  678  825  9  1 90  0</code></li>
<li><code> 2  0  79496 1569368 157392 810432   0    0    11    26  920  969  9  1 90  0</code></li>
<li><code> 1  0  79496 1583612 157400 810444   0    0     7    39 2001 2530 20  2 77  0</code></li>
</ol>
<h3>显示活动和非活动内存</h3>
<p>默认情况下，vmstat 会显示除活动和非活动内存之外的内存统计信息。如果要查看活动和非活动内存统计信息，请在 vmstat 后添加 <code>-a</code> 参数。</p>
<pre>
</pre>
<ol>
<li><code># vmstat -a</code></li>
<li><code>procs -----------memory---------- ---swap-- -----io---- -system-- ----cpu----</code></li>
<li><code> r  b   swpd   free  inact active   si   so    bi    bo   in   cs us sy id wa</code></li>
<li><code> 1  0 105500 2387592 415148 584112   0    0    40    15    0    1 11  1 87  0</code></li>
</ol>
<h3>打印磁盘统计</h3>
<p>在 vmstat 后面添加 <code>-d</code> 参数会以每个磁盘一行的方式显示统计（包含读、写和 IO）。</p>
<pre>
</pre>
<ol>
<li><code># vmstat -d</code></li>
<li><code>disk- ------------reads------------ ------------writes----------- -----IO------</code></li>
<li><code>       total merged sectors      ms  total merged sectors      ms    cur    sec</code></li>
<li><code>ram0       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram1       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram2       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram3       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram4       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram5       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram6       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram7       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram8       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram9       0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram10      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram11      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram12      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram13      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram14      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>ram15      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>loop0      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>loop1      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>loop2      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>loop3      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>loop4      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>loop5      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>loop6      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>loop7      0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>fd0        0      0       0       0      0      0       0       0      0      0</code></li>
<li><code>sda   16604050 904497 2594882190 57455732 30037054 28093770 2160032056 118189160      0  40915</code></li>
<li><code>sdb   257357577 479985 3124712204 577235320 8502519 1283237 36645890 11250948      0 182336</code></li>
</ol>
<h3>总结磁盘统计</h3>
<p>在 vmstat 后面添加 <code>-D</code> 会显示全局统计（包括全部的磁盘、分区、全部读、合并的读、读取的扇区、写、合并的写、写入的扇区和 IO）。</p>
<pre>
</pre>
<ol>
<li><code># vmstat -D</code></li>
<li><code>           27 disks</code></li>
<li><code>            3 partitions</code></li>
<li><code>    275754028 total reads</code></li>
<li><code>      1388030 merged reads</code></li>
<li><code>   5751195976 read sectors</code></li>
<li><code>    638710116 milli reading</code></li>
<li><code>     38795040 writes</code></li>
<li><code>     29520659 merged writes</code></li>
<li><code>   2209820333 written sectors</code></li>
<li><code>    130210652 milli writing</code></li>
<li><code>            0 inprogress IO</code></li>
<li><code>       224704 milli spent IO</code></li>
</ol>
<h3>打印指定分区统计</h3>
<p>vmstat 添加 <code>-p</code> 参数后面跟上设备名会显示指定分区统计（包括读、读取的扇区、写以及请求的写）。</p>
<pre>
</pre>
<ol>
<li><code># vmstat -p /dev/sdb1</code></li>
<li><code>sdb1          reads   read sectors  writes    requested writes</code></li>
<li><code>                3115      27890     839453  206728016</code></li>
</ol>
<h3>vmstat 统计信息带上时间戳</h3>
<p>当你想在特定时间区间内找到内存尖峰时，用 vmstat 命令添加 <code>-t</code> 参数，后跟延迟和计数。</p>
<p>注意：此组合不适用于基于 Debian 的系统。</p>
<pre>
</pre>
<ol>
<li><code># vmstat -t 1 5</code></li>
<li><code>procs -----------memory---------- ---swap-- -----io---- --system-- -----cpu------ ---timestamp---</code></li>
<li><code> r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa st</code></li>
<li><code> 0  0      0 6981416 181324 24588604    0    0     0     1    0    0  0  0 100  0  0    2017-01-11 15:42:15 MST</code></li>
<li><code> 2  0      0 6981276 181324 24588604    0    0     0     0   91   40  0  0 100  0  0    2017-01-11 15:42:16 MST</code></li>
<li><code> 0  0      0 6982016 181324 24588604    0    0     0     0   75  116  0  0 100  0  0    2017-01-11 15:42:17 MST</code></li>
<li><code> 0  0      0 6982016 181324 24588604    0    0     0     0   43   39  0  0 100  0  0    2017-01-11 15:42:18 MST</code></li>
<li><code> 0  0      0 6982280 181324 24588604    0    0     0     0  113  185  0  0 100  0  0    2017-01-11 15:42:19 MST</code></li>
</ol>
<h3>打印更多统计</h3>
<p>vmstat 后面跟上 <code>-s</code> 参数会显示不同统计的总结。</p>
<pre>
</pre>
<ol>
<li><code># vmstat -s</code></li>
<li><code>     32849392  total memory</code></li>
<li><code>     25864128  used memory</code></li>
<li><code>     16468180  active memory</code></li>
<li><code>      8320888  inactive memory</code></li>
<li><code>      6985264  free memory</code></li>
<li><code>       181324  buffer memory</code></li>
<li><code>     24588612  swap cache</code></li>
<li><code>     20970492  total swap</code></li>
<li><code>            0  used swap</code></li>
<li><code>     20970492  free swap</code></li>
<li><code>       891075 non-nice user cpu ticks</code></li>
<li><code>         6532 nice user cpu ticks</code></li>
<li><code>      1507099 system cpu ticks</code></li>
<li><code>  18925265601 idle cpu ticks</code></li>
<li><code>       113043 IO-wait cpu ticks</code></li>
<li><code>          108 IRQ cpu ticks</code></li>
<li><code>         4185 softirq cpu ticks</code></li>
<li><code>            0 stolen cpu ticks</code></li>
<li><code>      4071862 pages paged in</code></li>
<li><code>    216759718 pages paged out</code></li>
<li><code>            0 pages swapped in</code></li>
<li><code>            0 pages swapped out</code></li>
<li><code>    369611221 interrupts</code></li>
<li><code>    477861261 CPU context switches</code></li>
<li><code>   1478258826 boot time</code></li>
<li><code>      2196121 forks</code></li>
</ol>
<h3>打印 slab 统计</h3>
<p>vmstat 后面跟上 <code>-m</code> 参数会显示 slab 信息。</p>
<pre>
</pre>
<ol>
<li><code># vmstat -m</code></li>
<li><code>Cache                       Num  Total   Size  Pages</code></li>
<li><code>nf_conntrack_expect           0      0    240     16</code></li>
<li><code>nf_conntrack_ffffffff81b2a920     18     60    312     12</code></li>
<li><code>fib6_nodes                   24     59     64     59</code></li>
<li><code>ip6_dst_cache                16     30    384     10</code></li>
<li><code>ndisc_cache                   7     30    256     15</code></li>
<li><code>ip6_mrt_cache                 0      0    128     30</code></li>
<li><code>RAWv6                        35     35   1088      7</code></li>
<li><code>UDPLITEv6                     0      0   1024      4</code></li>
<li><code>UDPv6                         4     12   1024      4</code></li>
<li><code>tw_sock_TCPv6                 0      0    320     12</code></li>
<li><code>request_sock_TCPv6            0      0    192     20</code></li>
<li><code>TCPv6                         4      6   1920      2</code></li>
<li><code>fat_inode_cache               5      6    672      6</code></li>
<li><code>fat_cache                     0      0     32    112</code></li>
<li><code>ioat2                      4096   4140    128     30</code></li>
<li><code>ext4_inode_cache          34322  34364   1000      4</code></li>
<li><code>ext4_xattr                    0      0     88     44</code></li>
<li><code>.</code></li>
<li><code>.</code></li>
<li><code>.</code></li>
</ol>
<h3>阅读更多关于 vmstat</h3>
<p>如果你想了解关于 vmstat 的更多选项，请阅读手册。</p>
<pre>
</pre>
<ol>
<li><code># vmstat --help</code></li>
<li><code>或者</code></li>
<li><code># man vmstat</code></li>
</ol>
<hr>
<br />原文发布时间为：2017-01-29</p>
<p>本文来自合作伙伴“Linux中国”</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 06:46:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/cache/" title="Cache">Cache</a>, <a href="https://www.iamivan.net/tag/cpu/" title="cpu">cpu</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>vmstat：一个标准的报告虚拟内存统计工具的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEK75Pp.html" rel="bookmark">Linux vmstat 命令 - 报告虚拟内存统计的工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				众所周知,计算机必须有称之为RAM(随机访问内存)的存储器使得计算机工作.RAM指的是插在计算机主板上的物理存储.这里的RAM被用于加载像浏览器.文字处理器这类的程序,实际上,你使用的程序都运行在内存上. 让我们假设你有2GB的内存.当你在运行操作系统时,你的可用内存可能只有1.5GB.接着你使用了大量的程序.当内存使用满之后,你可能再也无法加载更多的程序.浅显地说,计算机可能会说:&quot;抱歉,你不能在运行更多的程序了,如果你还要运行其他的程序请先关闭一些程序.&quot; 为了解决这个问题,包括L			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArK33p.html" rel="bookmark">哪一个网站统计工具最好用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 我想网站流量统计工具应该是每一位准站长都要接触到的一个工具吧,网站流量对于我们分析和评估网站状况非常重要,是必不可少的一部分.目前有好多站长统计工具,国内最为常见 我想网站流量统计工具应该是每一位准站长都要接触到的一个工具吧,网站流量对于我们分析和评估网站状况非常重要,是必不可少的一部分.目前有好多站长统计工具,国内最为常见的流量统计有CNZZ.51la.Google Analytics.百度统计等等.它们都非常好,而且各具特色,最重要的是,都是免费的.那么,哪一个统计工具最好用呢?我们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RQomz.html" rel="bookmark">ps&lowbar;mem：一个用于精确报告Linux核心内存用量的简单Python脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ps_mem 是一个可以帮助我们精确获取 Linux 中各个程序核心内存使用情况的简单 python 脚本.虽然在 Linux 上有很多可用于查看内存使用情况的工具,比如 free.vmstat.smem.top 等,但这个工具和其它的区别在于其精确显示核心内存使用情况. 它会分别计算一个程序私有内存总量和共享内存总量,并以更准确的方式给出了总的内存使用量.很明显的,它将帮助大家知道系统中哪个程序正在占用更多的内存. 你可以通过包管理器.pip .或直接运行 ps_mem.py 脚本等多种方式来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRgZOb.html" rel="bookmark">Python实现代码统计工具（终极篇）&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文对于先前系列文章中实现的C/Python代码统计工具(CPLineCounter),通过C扩展接口重写核心算法加以优化,并与网上常见的统计工具做对比.实测表明,CPLineCounter在统计精度和性能方面均优于其他同类统计工具.以千万行代码为例评测性能,CPLineCounter在Cpython和Pypy环境下运行时,比国外统计工具cloc1.64分别快14.5倍和29倍,比国内SourceCounter3.4分别快1.8倍和3.6倍. 运行测试环境本文基于Windows系统平台,运行和测			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr3jP6p.html" rel="bookmark">第三方网站流量统计工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				流量统计作为互联网站点最基础的数据分析工具,几乎与每个站长.互联网从业者相关.在互联网这个没有硝烟的战场上,流量统计工具就像打仗用的武器.能否选好适合自己的武器.用好武器,很大程度上决定了我们的胜败. 今天我们就来说说百度在今年新推出的免费流量统计工具:百度统计,与之对比的是统计工具:CNZZ(含全景统计和广告统计).今天我们来横向测评下这两款武器. 一.基本的统计数据指标 数据指标是一切数据的基础,反映了流量分析的广度: CNZZ各个报告的指标,如下: 1.时段分析:PV,独立访客,IP,人均			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3Lgdz.html" rel="bookmark">统计工具R在排查和诊断中的实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				排查和诊断需要统计工具? 排查和诊断过程,就是数据处理过程. 有时候只要处理过程探索到一个信号出现了就足以确定致因和解决问题了,至少也会得到进一步的线索.比如,客户ECS并发访问量上不去,如果发现对进程能打开多少文件描述符有限制.那么,我们差不多就确定了致因,对于如何解决问题也有了答案. 我们可以把上面排查和诊断的过程规范化为基于数据回答问题的过程.对这个过程,我们的预期是找到一个信号,这个信号可以确定致因,同时也对解决问题给出线索或者依据.比如,上面的例子,我们就是基于ECS的系统日志.业务日			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmR4r1z.html" rel="bookmark">站长纵观建站成效 推荐6大网站流量统计工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 随着互联网技术的发展,网站日渐成为企业展示自身形象.发布产品信息.联系客户的新平台.而一个网站的成效,需要借用外来的一些工具作为辅助.网站的流量分析这一环节便显得举足轻重.流量分析,是对网站访问量基本数据进行统计.分析,从中发现访问规律而量身定制营销策略.下面,IDC评述网与大家分享站长常用的流量统计工具. 1. Google analytics Google analytics是Google为网站提供的一款免费的网站分析服务.自从其诞生以来,广受			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9r1kp.html" rel="bookmark">做网站内容时先看统计工具或者能为你指明方向</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是大数据时代,一个讲究精准营销的时代,精准营销是靠什么呢?靠的不就是发数据为眼睛做更精准的推广吗?所以数据不管对于什么行业都是很重要的.对于我们做网站优化的人来说那也就更重要啦,在这里建议大家每天都去观察网站的各项数据.其实如果说到网站数据这块那就有很多东西值得跟大家说的,但今天只想跟大家讲一点,那就是利用数据做网站的内容.利用统计工具里面用户搜索进来的关键词来做内容,只有统计工具里面的关键词才是真正有用户需求的. 当然利用统计工具里的数据来做网站内容势必是需要这个网站是有数据的,那也就是说这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpP7BvM.html" rel="bookmark">百度统计工具 是浮云还是预兆&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				站长们每天早上都会做的事,今天早上的时候是不是都发现了有点不同的地方,在百度中site网站时,是不是会出现百度的建议,要使用百度统计,能够更准确的统计网站的流量.这样的说明看似是很平常,但骨子里是否有另一半的意思呢?是大家说的现在是百度在首推百度统计,还是意味着站长们要使用百度统计,这样可以提高网站的亲和力,这是百度在变着法子要提高自己的产品地位吗? 前几天百度统计推出了&quot;SEO建议&quot;,这东西让站长们欢喜也让站长们头疼,可以更好的分析网站的情况了,但是站长们又要忙着根据SEO建议来修改			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8g4BM.html" rel="bookmark" class="title">为什么Marquee是不符合WEB标准的</a>
					<div>
						web|web标准 jeanjean20提到Marquee怎么样修改才能符合标准.我看了一下朋友们的跟帖觉得说得都挺好,版主greengnn指明Marquee是不符合标准的已经被W3C抛弃了.有朋友大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD1LBb.html" rel="bookmark" class="title">Wordpress缓存插件WordPress WP Super的优化</a>
					<div>
						wordpress相信很多做独立博客的都选择的是这款程序,那么它到底有哪些优点呢?其实wordpress以一款国外的php开源程序,之所以很多人拿它来做博客,是因为它的插件功能十分的强大,而且简单易懂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYAjVM.html" rel="bookmark" class="title">pb实用技巧八则</a>
					<div>
						一.实现运行窗口居中 众所周知,PowerBuilder 7.0在以前的版本中提供了图形化的预览工具,可以很方便的在设计阶段实现窗口居中.但是,到了7.0似乎该项工具被取消了,也没有什么属性来设置,至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2gqKb.html" rel="bookmark" class="title">LAMP源码环境搭建与phpmyadmin的使用</a>
					<div>
						Linux+Apache+Mysql+Perl/PHP/Python一组常用来搭建动态网站或者服务器的开源软件,本身都是各自独立的程序,但是因为常被放在一起使用,拥有了越来越高的兼容度共同组成了一个强 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7ymnb.html" rel="bookmark" class="title">KMP模式匹配算法分析与实现</a>
					<div>
						基本概念: 模式匹配是对字符串的一种非常重要的操作,假设被匹配的正文字符串是 text,模式串是pattern,则模式匹配的任务就是在text中找出所有的pattern, 给出pattern在text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRZ9az.html" rel="bookmark" class="title">报纸网页设计：简单即美</a>
					<div>
						报纸的网络版发布后,与网上读者直接见面的就是网页,大致可以说 ,它对应于纸介印刷版的版面.显然,相对于传统的版面,网络版的网页意味着新的特征和新的可能.这些随因特网技术发展而不断扩展的新可能无疑是令人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKO2Vp.html" rel="bookmark" class="title">搜狗输入法打了不白打是什么意思</a>
					<div>
						  搜狗输入法打了不白打是什么意思?打了不白打搜狗输入法什么意思?搜狗输入法是目前国内 Android 手机用户使用最多的输入法,占比超过 1/3.苹果 iOS 开放第三方输入法之后,也成不少果粉喜爱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl1PRb.html" rel="bookmark" class="title">asp querystring使用教程</a>
					<div>
						当您传递信息从一个HTML表单,使用Get方法,以ASP页面从加工,您可以检索的资料使用ASP的的QueryString集合.在过去的教训,我们创造了&quot; tizagForm.html &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5od76b.html" rel="bookmark" class="title">热开机与冷开机具体上有什么差别吗</a>
					<div>
						  问:掌上电脑分跟台式机一样,有&quot;热开机&quot;和&quot;冷开机&quot;吗? 答:Warm Reset(热开机):通常你可在掌上电脑背面看到&quot;Reset&quot;的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQra8OM.html" rel="bookmark" class="title">阴谋论笼罩下的IMF总裁性丑闻</a>
					<div>
						不论卡恩是为多年来对女性的不当言行终尝恶果,还是真的被人陷害,这一切都要等待法律的裁决.而围绕他展开的诸多阴谋论猜测,不仅是 网友旺盛想象力的产物,更反映出严峻形势下欧洲民众脆弱而多疑的内心 ■ 环球 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxgamb.html" rel="bookmark" class="title">分析周鸿祎的安全卫士360&lbrack;转&rsqb;</a>
					<div>
						最近,周鸿祎推出了一个安全卫士360免费软件,能够除掉大部分的病毒流氓插件.各大IT网站和媒体有赞有骂.最近qihoo又和alibaba打开官司了,挺是热闹.今天和大家一块儿来分析一下周鸿祎的安全卫士 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj14yM.html" rel="bookmark" class="title">cookie&equals;缓存吗？缓存和内存间又是什么关系？</a>
					<div>
						问题描述 cookie=缓存吗?缓存和内存间又是什么关系? 如题,cookie=缓存吗?缓存和内存间又是什么关系?望通俗易懂的解答 解决方案 cookie是记录在客户端上的一些数据.因为http协议是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94W5Xb.html" rel="bookmark" class="title">xp下-DCOM作用及使用方法问题</a>
					<div>
						问题描述 DCOM作用及使用方法问题 在windows XP下怎么使用 刚开始了解它,求解它是个什么东东 !!? 解决方案 dcom顾名思义就是分布式的组件对象模型,也就是允许你跨进程或者跨计算机,调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg7JYb.html" rel="bookmark" class="title">android studio-Android Studio使用Source Code Pro字体全部乱码</a>
					<div>
						问题描述 Android Studio使用Source Code Pro字体全部乱码 之前都是好好的,也可以使用Source Code Pro字体,不知道怎么了,这个字体全部都变成了乱码,字体删除了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXjGyz.html" rel="bookmark" class="title">asp&period;net MVC 应用程序的生命周期</a>
					<div>
						下面这篇文章总结了 asp.net MVC 框架程序的生命周期.觉得写得不错,故转载一下. 转载自:http://www.cnblogs.com/yplong/p/5582576.html       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZGZmz.html" rel="bookmark" class="title">mfc-MFC标题栏上添加一个工具栏</a>
					<div>
						问题描述 MFC标题栏上添加一个工具栏 ba怎么样把工具条放在窗体标题栏的横栏上,用了MoveWindow也放不上去啊 解决方案 http://blog.csdn.net/fysy0000/artic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQXxVp.html" rel="bookmark" class="title">textout 函数-窗口显示不出汉字 打印机也打印不出汉字 textout函数输出汉字变为 &vert;竖线</a>
					<div>
						问题描述 窗口显示不出汉字 打印机也打印不出汉字 textout函数输出汉字变为 |竖线 #include #include LPCTSTR bmp_filename = &quot;C:photoa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5dNLp.html" rel="bookmark" class="title">腾讯QQ同时在线账户突破2亿，是15年QQ历史性的一步</a>
					<div>
						腾讯QQ同时在线账户突破2亿,其中大部分来自于QQ手机版,这是15年QQ历史性的一步.QQ同时在线账户突破1亿是在2010年3月5日,用了11年的时间,第二个1亿则只用了4年的时间.业内人士认为,如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgndaM.html" rel="bookmark" class="title">if判断语句不起作用是什么原因</a>
					<div>
						问题描述 if判断语句不起作用是什么原因 if(username!=null&amp;title!=null&amp;content!=null) { AddMessage mess =new Add ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJeE8p.html" rel="bookmark" class="title">如何用程序遍歷批量nsf的設計元素？</a>
					<div>
						问题描述 如何用程序遍歷批量nsf的設計元素,獲取這些設計元素的一些屬性(FROM,VIEW,AGENT,SCRIPTLIBRARIES),比如更新日期,prohibitdesignrefresh.非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YB84z.html" rel="bookmark" class="title">linux vfork 进程的结果出现奇怪的问题</a>
					<div>
						问题描述 linux vfork 进程的结果出现奇怪的问题 #include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #include &lt;sys/ty ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQx1mp.html" rel="bookmark" class="title">职场少走弯路的十条忠告</a>
					<div>
						一 买个闹钟,以便按时叫醒你.贪睡和不守时,都将成为你工作和事业上的绊脚石,任何时候都一样.不仅要学会准时,更要学会提前.就如你坐车去某地,沿途的风景很美,你忍不住下车看一看,后来虽然你还是赶到了某地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj8x0M.html" rel="bookmark" class="title">VS2010软件中的帮助文档问题？</a>
					<div>
						问题描述 在VS2010软件中可以按&quot;F1&quot;键弹出帮助文档.如下图片1所以的文档. 图1小子我自己通过VS软件中的&quot;帮助&quot;菜单,在&quot;帮助管理设置&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44P2qz.html" rel="bookmark" class="title">php检测apache mod&lowbar;rewrite模块是否安装的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php检测apache mod_rewrite模块是否安装的方法.分享给大家供大家参考.具体实现方法如下: /** * @title Check if Apache's mod_rewr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLQWdM.html" rel="bookmark" class="title">Java异常如何分析在哪里产生的？</a>
					<div>
						问题描述 现在项目代码不算大,但是逻辑挺复杂的.最近看线上日志,发现tomcat中出现了大量的空指针异常,但是很奇怪.只是简单的打出了NullPointerException,没有详细的堆栈信息,可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ23vwz.html" rel="bookmark" class="title">你所不知道的陨石生意链：跨国交易疯狂 缺乏法律规范</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; [i黑马导读]2月15日,一颗陨石在俄罗斯车里雅宾斯克上空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YQ9jp.html" rel="bookmark" class="title">手把手教你写Kconfig---基于tiny4412开发板&lpar;增强版&rpar;</a>
					<div>
						Kconfig怎么写的在上节就已经教大家写了. 这节我们来写写增强版的,因为Kconfig有太多太多可以配置的,所以这里我就不给出图片演示了,请参考上节的文章,再来看这节大家就会大彻大悟,然后自己去尝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoZB8M.html" rel="bookmark" class="title">《Exchange Server 2013 SP1管理实践》&mdash;&mdash;2&period;4 提升为域控制器后产生的变化</a>
					<div>
						2.4 提升为域控制器后产生的变化 同一台计算机部署域控制器之前,计算机名称为&quot;DC&quot;:部署域控制器之后计算机名称为&quot;DC.book.local&quot;.虽然是同一台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeygJp.html" rel="bookmark" class="title">搞网络炒作是不是必不可少的</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 中国的互联网从来都不缺乏炒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKjR5z.html" rel="bookmark" class="title">信诺瑞得&plus;Office 365，高性价比IT服务完美呈现</a>
					<div>
						北京信诺瑞得信息技术有限公司高管吴诺松表示&quot;建设企业邮件系统是提高业务处理能力的必要途径,如果自行开发或利用昂贵的设备自行搭建邮件系统,成本和代价是非常巨大的.现在,通过采用微软Office ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
